using ldap_cesi.Models;

namespace ldap_cesi.Services.Interfaces;

public interface IServiceBase<T, TDto, TCreateDto, TUpdateDto>
    where T : class
    where TDto : class
    where TCreateDto : class
    where TUpdateDto : class
{
    Task<IResponseDataModel<List<T>>> GetAll();
    Task<IResponseDataModel<T>> GetById(int id);
    Task<IResponseDataModel<T>> Create(TCreateDto dto);
    Task<IResponseDataModel<T>> Update(TUpdateDto dto);
    Task<IResponseDataModel<string>> Delete(int id);
}