using FluentValidation;
using ldap_cesi.DTOs.Inputs;

namespace ldap_cesi.Validator.Utilisateur;

public class UtilisateurCreateValidator : AbstractValidator<UtilisateurLoginDto>
{
    public UtilisateurCreateValidator()
    {
        RuleFor(x => x.Email)
            .NotEmpty().WithMessage("L'email est requis.")
            .EmailAddress().WithMessage("L'email n'est pas valide.");

        RuleFor(x => x.MotDePasse)
            .NotEmpty().WithMessage("Le mot de passe est requis.")
            .MinimumLength(6).WithMessage("Le mot de passe doit contenir au moins 6 caractères.");
    }
}